#include <bits/stdc++.h>
using namespace std;

bool kt_nt(int so,int i = 2) 
{
    if (i == so) return true;
	if (so % i == 0) return false;
	return kt_nt(so, i + 1);
}
int main()
{
int c[1000],a[1000],b,n,i=0;
ifstream f1("DQNT.INP");
ofstream f2("DQNT.OUT");
f1>>n;
for(b=0;b<n;b++)
{
	f1>>a[b];
	if(kt_nt(a[b],2)) 
	{
		c[i]=a[b];
		i++;
	}
	
}
if(i>0) 
{
	sort(c,c+i);
	for (b=0;b<i;b++)
	f2<<c[b]<<" ";
}
f1.close();
f2.close();
}
